## aws-sdk-for-php 2.7.2

=== Makefile ===
all: clean coverage docs

test:
	vendor/bin/phpunit

coverage:
	vendor/bin/phpunit --coverage-html=build/artifacts/coverage

integration:
	vendor/bin/phpunit -c phpunit.functional.xml

view-coverage:
	open build/artifacts/coverage/index.html

clean:
	rm -rf build/artifacts
	cd docs && make clean

docs:
	cd docs && make html

view-docs:
	open docs/_build/html/index.html

# Packages the phar and zip
package: burgomaster
	time php build/packager.php

# Downloads a copy of Burgomaster
burgomaster:
	mkdir -p build/artifacts
	curl -s https://raw.githubusercontent.com/mtdowling/Burgomaster/0.0.2/src/Burgomaster.php > build/artifacts/Burgomaster.php

# Ensures that the TAG variable was passed to the make command
check_tag:
	$(if $(TAG),,$(error TAG is not defined. Pass via "make tag TAG=4.2.1"))

# Creates a release but does not push it. This task updates the changelog
# with the TAG environment variable, replaces the VERSION constant, ensures
# that the source is still valid after updating, commits the changelog and
# updated VERSION constant, creates an annotated git tag using chag, and
# prints out a diff of the last commit.
tag: check_tag
	@echo Tagging $(TAG)
	chag update -m '$(TAG) ()'
	sed -i '' -e "s/VERSION = '.*'/VERSION = '$(TAG)'/" src/Aws/Common/Aws.php
	php -l src/Aws/Common/Aws.php
	git commit -a -m '$(TAG) release'
	chag tag
	@echo "Release has been created. Push using 'make release'"
	@echo "Changes made in the release commit"
	git diff HEAD~1 HEAD

# Creates a release based on the master branch and latest tag. This task
# pushes the latest tag, pushes master, creates a phar and zip, and creates
# a Github release. Use "TAG=X.Y.Z make tag" to create a release, and use
# "make release" to push a release. This task requires that the
# OAUTH_TOKEN environment variable is available and the token has permission
# to push to the repository.
release: check_tag package
	git push origin master
	git push origin $(TAG)
	php build/gh-release.php $(TAG)

# Tags the repo and publishes a release.
full_release: tag release

.PHONY: docs burgomaster

## aws-sdk-for-php 1.5.6.2

=== debian/changelog ===
aws-sdk-for-php (1.5.6.2-1) unstable; urgency=low

  * Initial Release (Closes: #705070)

 -- David Prévot <taffit@debian.org>  Tue, 09 Apr 2013 17:44:04 -0400

=== debian/control ===
Source: aws-sdk-for-php
Section: web
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), pkg-php-tools, pear-aws-channel
Standards-Version: 3.9.4
Homepage: http://aws.amazon.com/sdkforphp/
Vcs-Git: git://anonscm.debian.org/pkg-php/aws-sdk-for-php.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/aws-sdk-for-php.git

Package: php-aws-sdk
Architecture: all
Depends: ca-certificates, php-symfony-yaml, ${misc:Depends}, ${phppear:Debian-Depends}
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}
Description: software development kit to build solutions for Amazon
 ${phppear:summary}. It allows developers to build
 solutions for Amazon Simple Storage Service (Amazon S3), Amazon Elastic
 Compute Cloud (Amazon EC2), Amazon SimpleDB, and more.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=phppear --with phppear

override_dh_installdeb:
	rm -r $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/_compatibility_test
	rm -r $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/_docs
	rm -r $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/_samples
	rm    $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/README.md
	rm    $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/lib/cachecore/_sql/README
	rm    $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/lib/cachecore/LICENSE
	rm    $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/lib/cachecore/README
	rm    $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/lib/requestcore/LICENSE
	rm    $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/lib/requestcore/README.md
	dh_link

override_dh_link:
	rm -r $(CURDIR)/debian/php-aws-sdk/usr/share/php/AWSSDKforPHP/lib/yaml
	dh_link

get-orig-source:
	uscan --force --verbose --rename

## aws-sdk-for-php 2.4.11

=== debian/changelog ===
aws-sdk-for-php (2.4.11-1) experimental; urgency=low

  [ Michael Dowling ]
  * Removing enums from the Amazon EC2 model to prevent client side failures
    for brand new enum values. Adding a few missing members to the EC2 model
    Bumping API version

  [ Jeremy Lindblom ]
  * Updated the Amazon RDS client to use the 2013-09-09 API version.
  * Version bump for 2.4.11

  [ David Prévot ]
  * Remove self from copyright holders

 -- David Prévot <taffit@debian.org>  Wed, 27 Nov 2013 12:15:47 -0400

aws-sdk-for-php (2.4.10-1) experimental; urgency=low

  [ Jeremy Lindblom ]
  * Added SAML-related features to the IAM and STS clients
  * Added support for new Redshift features to the SDK
  * Added support for AWS CloudTrail
  * Version bump for 2.4.10

 -- David Prévot <taffit@debian.org>  Mon, 18 Nov 2013 19:29:08 -0400

aws-sdk-for-php (2.4.9-1) experimental; urgency=low

  * Imported Upstream version 2.4.9
  * Bump pkg-php-tools build-dependency

 -- David Prévot <taffit@debian.org>  Sat, 09 Nov 2013 14:58:43 -0400

aws-sdk-for-php (2.4.8-1) experimental; urgency=low

  * Imported Upstream version 2.4.8
  * Change section to php
  * Update build-dependency to pear-channels
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Mon, 04 Nov 2013 13:45:03 -0400

aws-sdk-for-php (2.4.7-1) experimental; urgency=low

  * Imported Upstream version 2.4.7

 -- David Prévot <taffit@debian.org>  Sat, 19 Oct 2013 22:36:57 -0400

aws-sdk-for-php (2.4.6-1) experimental; urgency=low

  * Imported Upstream version 2.4.6

 -- David Prévot <taffit@debian.org>  Sat, 14 Sep 2013 11:55:59 -0400

aws-sdk-for-php (2.4.5-1) experimental; urgency=low

  * Imported Upstream version 2.4.5

 -- David Prévot <taffit@debian.org>  Wed, 04 Sep 2013 19:37:44 -0400

aws-sdk-for-php (2.4.2-1) experimental; urgency=low

  * Imported Upstream version 2.4.2
  * Bump pkg-php-tools version for package name overrides

 -- David Prévot <taffit@debian.org>  Wed, 07 Aug 2013 20:45:32 +0200

aws-sdk-for-php (2.4.1-1) experimental; urgency=low

  * New upstream release
  * Refer to Apache-2.0 from /usr/share/common-licenses

 -- David Prévot <taffit@debian.org>  Fri, 12 Jul 2013 11:11:03 -0400

aws-sdk-for-php (2.4.0-1) experimental; urgency=low

  * New upstream release
  * Adapt packaging to version 2

 -- David Prévot <taffit@debian.org>  Sun, 30 Jun 2013 21:35:39 -0400

=== debian/control ===
Source: aws-sdk-for-php
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), pear-channels, pkg-php-tools (>= 1.1~)
Standards-Version: 3.9.5
Homepage: http://aws.amazon.com/sdkforphp/
Vcs-Git: git://anonscm.debian.org/pkg-php/aws-sdk-for-php.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/aws-sdk-for-php.git

Package: php-aws-sdk
Architecture: all
Depends: ${misc:Depends}, ${phppear:Debian-Depends}
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}
Description: software development kit to build solutions for Amazon
 ${phppear:summary}.
 ${phppear:description}

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=phppear --with phppear

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=phppear
	sed -i '/aws.phar/d' */package.xml

get-orig-source:
	uscan --force --verbose --rename

## aws-sdk-for-php 2.5.2

=== debian/changelog ===
aws-sdk-for-php (2.5.2-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Updates for version 2.5.2

 -- David Prévot <taffit@debian.org>  Fri, 31 Jan 2014 09:25:22 -0400

aws-sdk-for-php (2.5.1-2) unstable; urgency=low

  * Upload to unstable, as owncloud 6, and set urgency to low

 -- David Prévot <taffit@debian.org>  Wed, 22 Jan 2014 09:50:37 -0400

aws-sdk-for-php (2.5.1-1) experimental; urgency=medium

  [ David Prévot ]
  * Move path to be PSR-0 compliant, thanks to Adam Williamson

  [ Jeremy Lindblom ]
  * Updated the Auto Scaling client to support the newest features
    (attach instances, describe limits, etc.)

  [ Michael Dowling ]
  * Prepping for the 2.5.1 release

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2014 17:43:19 -0400

aws-sdk-for-php (2.5.0-1) experimental; urgency=low

  [ Jeremy Lindblom ]
  * Updated the CloudFront and Elastic Transcoder clients with the newest
    features
  * Added China region support to various services
  * Prepping for the 2.5.0 release

  [ David Prévot ]
  * Add upstream changelog from Git

 -- David Prévot <taffit@debian.org>  Tue, 24 Dec 2013 11:23:57 -0400

aws-sdk-for-php (2.4.12-1) experimental; urgency=medium

  [ Jeremy Lindblom ]
  * Added support for Amazon Kinesis. Resolves #179
  * Added support for global secondary indexes to the Amazon DynamoDB client

  [ Michael Dowling ]
  * Allowing the SDK to work with Guzzle 3.7 through 3.8
  * Preparing the 2.4.12 release

  [ David Prévot ]
  * Add ownCloud for Debian to uploaders
  * Document upstream Git source
  * Add upstream changelog from Git

 -- David Prévot <taffit@debian.org>  Sun, 15 Dec 2013 14:36:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9), pear-channels, pkg-php-tools (>= 1.1~)
+Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
+           David Prévot <taffit@debian.org>
+Build-Depends: debhelper (>= 9.20131213~),
+               pear-channels,
+               pkg-php-tools (>= 1.1~)
 Standards-Version: 3.9.5
 Homepage: http://aws.amazon.com/sdkforphp/
 Vcs-Git: git://anonscm.debian.org/pkg-php/aws-sdk-for-php.git
@@ -11,6 +14,7 @@
 
 Package: php-aws-sdk
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${phppear:Debian-Depends}
 Recommends: ${phppear:Debian-Recommends}
 Breaks: ${phppear:Debian-Breaks}

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -O--buildsystem=phppear
 	sed -i '/aws.phar/d' */package.xml
+	sed -i 's, baseinstalldir="AWSSDKforPHP" , baseinstalldir="/" ,' */package.xml
+
+override_dh_installchangelogs:
+	dh_installchangelogs debian/upstream-changelog
 
 get-orig-source:
 	uscan --force --verbose --rename

=== debian/watch ===
version=3
http://pear.amazonwebservices.com/ http://pear.amazonwebservices.com/get/sdk-([\d.]+)\.tgz

## aws-sdk-for-php 2.6.0

=== debian/changelog ===
aws-sdk-for-php (2.6.0-1~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.
  * Make packaging possible with debhelper 9 from Debian Wheezy.
    Replace the dh_maintscript dir_to_symlink command by manual
    symlink magic (by immitating dpkg-maintscrip-helper in added
    preinst, postinst, postrm scripts).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Apr 2014 00:09:53 +0200

aws-sdk-for-php (2.6.0-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Updated Redshift service description to support the service's latest update
    on 3/21/2014.
  * [BC] Updated the CloudSearch client to use the new 2013-01-01 API version
  * Updated the EC2 client to use the new 2014-02-01 API version.
  * Prep for 2.6.0 release

 -- David Prévot <taffit@debian.org>  Thu, 27 Mar 2014 17:32:25 -0400

aws-sdk-for-php (2.5.4-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Updated the Amazon CloudFront client to use the 2014-01-31 API version
  * Added support for access logs to the Elastic Load Balancing client

  [ Michael Dowling ]
  * Adding support for AWS_SECRET_ACCESS_KEY and cleaning up credentials
  * Using realpath when possible to clean up dot segments in relative URLs
  * Moving X-Amz-* headers to the query string with pre-signed URLs
  * Updating S3 stream wrapper to support console style sub-folders.
  * Prepping for the 2.5.4 release

 -- David Prévot <taffit@debian.org>  Sat, 22 Mar 2014 11:19:26 -0400

aws-sdk-for-php (2.5.3-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Prepping for the 2.5.3 release

 -- David Prévot <taffit@debian.org>  Sat, 08 Mar 2014 15:15:15 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
-           David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9.20131213~),
+           David Prévot <taffit@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
+Build-Depends: debhelper (>= 9),
                pear-channels,
                pkg-php-tools (>= 1.1~)
 Standards-Version: 3.9.5

## aws-sdk-for-php 2.6.8

=== debian/changelog ===
aws-sdk-for-php (2.6.8-1) experimental; urgency=medium

  [ Jeremy Lindblom ]
  * Updated the RedShift service description to include the newer
  * cluster-related parameters.
  * Added support for the S3 SSE-CPK
  * Add support for captions to the Elastic Transcoder client.
  * Added support for Service Roles to the EMR client.
  * Updated CHANGELOG for 2.6.8 release.

  [ Michael Dowling ]
  * Adding support for Amazon SNS message attributes
  * 2.6.7 release

  [ David Prévot ]
  * Keep tracking the PEAR channel
  * Upload to experimental since 2.6.7-2 is in NEW

 -- David Prévot <taffit@debian.org>  Fri, 20 Jun 2014 21:50:10 -0400

aws-sdk-for-php (2.6.6-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Updated STS service description
  * Updated CloudSearch service description
  * Prepping for the 2.6.6 release.

  [ David Prévot ]
  * Document embeded phar copyright

 -- David Prévot <taffit@debian.org>  Sat, 31 May 2014 08:44:14 -0400

aws-sdk-for-php (2.6.5-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Updating Amazon EC2 to latest version
  * Updating ElasticBeanstalk model to latest version
  * Updating OpsWorksClient to the latest version
  * 2.6.5 release

 -- David Prévot <taffit@debian.org>  Mon, 26 May 2014 21:40:48 -0400

aws-sdk-for-php (2.6.4-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Prepping for the 2.6.4 release

 -- David Prévot <taffit@debian.org>  Wed, 21 May 2014 23:19:53 -0400

aws-sdk-for-php (2.6.3-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Updating the CloudFormation client
  * Adding new regions to Amazon CloudTrail
  * 2.6.3 release

 -- David Prévot <taffit@debian.org>  Thu, 15 May 2014 14:55:23 -0400

aws-sdk-for-php (2.6.2-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Updating Amazon SQS to the latest version
  * Prepping for the 2.6.2 release

 -- David Prévot <taffit@debian.org>  Tue, 06 May 2014 16:44:55 -0400

aws-sdk-for-php (2.6.1-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Added support for credential files and credential profiles
  * Updated OpsWorks model.
  * Updated EC2 model and added R3 instance types.
  * Prepped for 2.6.1 release.

  [ Michael Dowling ]
  * Better handling flags in stream wrapper errors

 -- David Prévot <taffit@debian.org>  Thu, 01 May 2014 08:34:03 -0400

## aws-sdk-for-php 2.7.2

=== debian/changelog ===
aws-sdk-for-php (2.7.2-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Updated UPGRADING guide with a brief blurb about version 2.7

  [ Michael Dowling ]
  * Update IAM
  * Updating Amazon Cognito Identity
  * Updating Amazon Route 53 domains
  * Updating Amazon EC2
  * 2.7.2 release

 -- David Prévot <taffit@debian.org>  Fri, 24 Oct 2014 09:28:49 -0400

aws-sdk-for-php (2.7.1-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Prepping the 2.7.1 release

  [ David Prévot ]
  * Track version 2 for Jessie

 -- David Prévot <taffit@debian.org>  Fri, 17 Oct 2014 11:20:57 -0400

aws-sdk-for-php (2.7.0-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Added support for the new, recursive DynamoDB types
  * Deprecating and updating parts of the DynamoDB namespace
  * Preparing for the 2.7.0 release.

 -- David Prévot <taffit@debian.org>  Thu, 09 Oct 2014 12:41:11 -0400

aws-sdk-for-php (2.6.16-3) unstable; urgency=medium

  * Demote documentation to suggestion
  * Use PHPUnit 4 and run all tests

 -- David Prévot <taffit@debian.org>  Sat, 04 Oct 2014 17:54:56 -0400

aws-sdk-for-php (2.6.16-2) unstable; urgency=medium

  * Run more tests now that phpunit-mock-object 1.2.3-2 handle PHP 5.6 changes
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Tue, 23 Sep 2014 18:06:46 -0400

aws-sdk-for-php (2.6.16-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Fixed an issue with how SignatureV4 handles query parameters with a value
    of zero.
  * Fixed issue #334 with the S3Client::upload method where the before_upload
    option caused errors.
  * Added support for tagging to the Amazon Kinesis Client.
  * Added support for setting environment variables to the AWS OpsWorks client.
  * Prepping for 2.6.16.

  [ David Prévot ]
  * Simplify rules with now provided Makefiles

 -- David Prévot <taffit@debian.org>  Fri, 12 Sep 2014 16:23:20 -0400

aws-sdk-for-php (2.6.15+comp-1) unstable; urgency=medium

  * Drop now useless transition
  * Deactivate some currently broken tests (Closes: #759235)
  * Adapt to latest shared static path
  * Drop sourcedirectory from rules
  * Temporarily mangle upstream version since 2.6.15 built from the PEAR
    source is already available in the archive

 -- David Prévot <taffit@debian.org>  Mon, 25 Aug 2014 18:59:27 -0400

aws-sdk-for-php (2.6.7-2) unstable; urgency=medium

  * Add a documentation package

 -- David Prévot <taffit@debian.org>  Wed, 18 Jun 2014 18:54:14 -0400

aws-sdk-for-php (2.6.7-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Updated the RedShift service description to include the newer
    cluster-related parameters.
  * Added support for the S3 SSE-CPK

  [ Michael Dowling ]
  * Adding support for Amazon SNS message attributes
  * 2.6.7 release

  [ David Prévot ]
  * Use Composer for packaging (instead of PEAR)
  * Revert "Document embeded phar copyright"
  * Run tests on package build
  * Add DEP-8 compliant tests

 -- David Prévot <taffit@debian.org>  Wed, 18 Jun 2014 16:39:09 -0400

=== debian/control ===
Source: aws-sdk-for-php
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9),
               php-doctrine-cache,
               php-guzzle,
               php-symfony-classloader,
               php5-apcu,
               phpunit (>= 4),
               pkg-php-tools (>= 1.7~),
               python-guzzle-sphinx-theme,
               python-sphinx,
               rst2pdf
Standards-Version: 3.9.6
Homepage: http://aws.amazon.com/sdkforphp/
Vcs-Git: git://anonscm.debian.org/pkg-php/aws-sdk-for-php.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/aws-sdk-for-php.git

Package: php-aws-sdk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: php-aws-sdk-doc, ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: software development kit to build solutions for Amazon
 Official PHP SDK for Amazon Web Services.
 .
 The AWS SDK for PHP enables PHP developers to easily work with Amazon Web
 Services and build scalable solutions with Amazon S3, Amazon DynamoDB,
 Amazon Glacier, and more.

Package: php-aws-sdk-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         python-guzzle-sphinx-theme,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: software development kit in PHP for Amazon - documentation
 This package contains the documentation for AWS SDK for PHP.
 .
 The AWS SDK for PHP enables PHP developers to easily work with Amazon Web
 Services and build scalable solutions with Amazon S3, Amazon DynamoDB,
 Amazon Glacier, and more.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')

%:
	dh $@ --with phpcomposer

override_dh_auto_configure:
	sed -i "s/@VERSION@/$(VERSION)/" docs/conf.py
	dh_auto_configure -O--with phpcomposer

override_dh_link:
	rm -r debian/php-aws-sdk-doc/usr/share/doc/php-aws-sdk/html/_static/css
	rm -r debian/php-aws-sdk-doc/usr/share/doc/php-aws-sdk/html/_static/fonts
	rm -r debian/php-aws-sdk-doc/usr/share/doc/php-aws-sdk/html/_static/js
	dh_link

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=jquery.js

get-orig-source:
	uscan --force --verbose --rename

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: @, patch, php-doctrine-cache, php-symfony-classloader, php5-apcu, phpunit

## aws-sdk-for-php 2.8.17

=== debian/changelog ===
aws-sdk-for-php (2.8.17-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * 2.8.17 release

 -- David Prévot <taffit@debian.org>  Tue, 11 Aug 2015 16:26:39 +0200

aws-sdk-for-php (2.8.15-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Added support for the Amazon DynamoDB Streams and AWS Device Farm services.

  [ Jonathan Eskew ]
  * 2.8.15 release

 -- David Prévot <taffit@debian.org>  Sun, 26 Jul 2015 15:31:07 +0200

aws-sdk-for-php (2.8.13-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Added support for CodeCommit and CodePipeline
  * 2.8.13 release

 -- David Prévot <taffit@debian.org>  Sat, 11 Jul 2015 16:52:15 -0400

aws-sdk-for-php (2.8.11-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.11 release

 -- David Prévot <taffit@debian.org>  Sat, 27 Jun 2015 10:38:51 -0400

aws-sdk-for-php (2.8.10-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * 2.8.10 release

 -- David Prévot <taffit@debian.org>  Sun, 14 Jun 2015 14:53:21 -0400

aws-sdk-for-php (2.8.9-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * 2.8.9 release

 -- David Prévot <taffit@debian.org>  Fri, 05 Jun 2015 07:20:47 -0400

aws-sdk-for-php (2.8.8-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Adding EfsClient
  * 2.8.8 release

 -- David Prévot <taffit@debian.org>  Fri, 29 May 2015 04:22:19 -0400

aws-sdk-for-php (2.8.5-1) unstable; urgency=medium

  [ Jeremy Lindblom ]
  * Adding .gitattributes to trim down the dist
  * 2.8.5 release

  [ David Prévot ]
  * Upload to unstable since Jessie has been released
  * Track stable 2 versions
  * Drop no longer included documentation
  * Drop no longer included tests
  * Add back upstream changelog
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Tue, 19 May 2015 00:00:32 -0400

aws-sdk-for-php (2.7.3-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Michael Dowling ]
  * Updating changelog to match keepachangelog.com

  [ Johannes Nagl ]
  * add eu-central-1 region

  [ Jeremy Lindblom ]
  * Updated Route 53 with the latest features.
  * Updated CloudFront with the latest features.
  * Added support for configuring push synchronization
    to the Cognito Sync client.
  * 2.7.3 release

 -- David Prévot <taffit@debian.org>  Fri, 07 Nov 2014 09:05:12 -0400

=== debian/control ===
Source: aws-sdk-for-php
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: http://aws.amazon.com/sdkforphp/
Vcs-Git: git://anonscm.debian.org/pkg-php/aws-sdk-for-php.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/aws-sdk-for-php.git

Package: php-aws-sdk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: php-guzzle (>= 3.9.3+dfsg-2~),
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: software development kit to build solutions for Amazon
 Official PHP SDK for Amazon Web Services.
 The AWS SDK for PHP enables PHP developers to easily work with Amazon Web
 Services and build scalable solutions with Amazon S3, Amazon DynamoDB,
 Amazon Glacier, and more.

## aws-sdk-for-php 2.8.30

=== debian/changelog ===
aws-sdk-for-php (2.8.30-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * Patch ZipFile location in UpdateFunctionCode
  * 2.8.30 release

 -- David Prévot <taffit@debian.org>  Wed, 04 May 2016 09:34:18 -0400

aws-sdk-for-php (2.8.29-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * Patching the UpdateFunctionCode Lambda operation. Closes #958
  * 2.8.29 release

 -- David Prévot <taffit@debian.org>  Mon, 11 Apr 2016 17:35:16 -0400

aws-sdk-for-php (2.8.28-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.28 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Wed, 06 Apr 2016 16:27:59 -0400

aws-sdk-for-php (2.8.27-2) unstable; urgency=medium

  * Drop ownCloud for Debian maintainers from uploaders
  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Sat, 12 Mar 2016 14:21:14 -0400

aws-sdk-for-php (2.8.27-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.27 release

 -- David Prévot <taffit@debian.org>  Sun, 31 Jan 2016 11:13:45 -0400

aws-sdk-for-php (2.8.25-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.25 release

 -- David Prévot <taffit@debian.org>  Tue, 26 Jan 2016 22:06:22 -0400

aws-sdk-for-php (2.8.24-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.24 release

 -- David Prévot <taffit@debian.org>  Fri, 20 Nov 2015 14:39:57 -0400

aws-sdk-for-php (2.8.23-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.23 release

 -- David Prévot <taffit@debian.org>  Wed, 04 Nov 2015 12:58:23 -0400

aws-sdk-for-php (2.8.22-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.22 release

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2015 16:18:22 -0400

aws-sdk-for-php (2.8.21-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.21 release

 -- David Prévot <taffit@debian.org>  Sat, 19 Sep 2015 15:21:24 -0400

aws-sdk-for-php (2.8.20-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.20 release

 -- David Prévot <taffit@debian.org>  Tue, 15 Sep 2015 11:31:34 -0400

aws-sdk-for-php (2.8.19-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 2.8.19 release

 -- David Prévot <taffit@debian.org>  Sat, 29 Aug 2015 12:23:13 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
-           David Prévot <taffit@debian.org>
+Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://aws.amazon.com/sdkforphp/
 Vcs-Git: git://anonscm.debian.org/pkg-php/aws-sdk-for-php.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/aws-sdk-for-php.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab	--output src/Aws/autoload.php \
		--template debian/autoload.php.tpl \
		--tolerant \
		src/Aws

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog

get-orig-source:
	uscan --force --verbose --rename

=== debian/watch ===
version=3
https://github.com/aws/aws-sdk-php/releases .*/archive/(2[\d.]+)\.tar\.gz

## aws-sdk-for-php 3.15.1

=== debian/changelog ===
aws-sdk-for-php (3.15.1-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.15.1 release

 -- David Prévot <taffit@debian.org>  Sat, 13 Feb 2016 12:50:17 -0400

aws-sdk-for-php (3.15.0-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Update GameLift models for next release
  * 3.15.0 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Wed, 10 Feb 2016 23:28:25 -0400

aws-sdk-for-php (3.14.2-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Support legacy CloudFront model
  * 3.14.2 release

 -- David Prévot <taffit@debian.org>  Sun, 31 Jan 2016 11:29:39 -0400

aws-sdk-for-php (3.14.1-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Add models for AWS Certificate Manager service
  * 3.14.1 release

 -- David Prévot <taffit@debian.org>  Tue, 26 Jan 2016 21:56:49 -0400

aws-sdk-for-php (3.13.0-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Add classes and models for CloudWatch Events
  * 3.13.0 release

 -- David Prévot <taffit@debian.org>  Tue, 19 Jan 2016 11:19:33 -0400

aws-sdk-for-php (3.12.1-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Better document the SNS validator package. Resolves #625
  * 3.12.1 release

 -- David Prévot <taffit@debian.org>  Sat, 09 Jan 2016 14:42:30 -0400

aws-sdk-for-php (3.12.0-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Add support for Amazon EC2 Container Registry
  * 3.12.0 release

 -- David Prévot <taffit@debian.org>  Wed, 30 Dec 2015 10:31:51 -0400

aws-sdk-for-php (3.11.7-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.11.7 release

 -- David Prévot <taffit@debian.org>  Sun, 20 Dec 2015 13:59:17 -0400

aws-sdk-for-php (3.11.5-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.11.5 release

 -- David Prévot <taffit@debian.org>  Thu, 10 Dec 2015 21:47:07 -0400

aws-sdk-for-php (3.11.3-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.11.3 release

 -- David Prévot <taffit@debian.org>  Thu, 03 Dec 2015 13:54:44 -0400

aws-sdk-for-php (3.11.2-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.11.2 release

 -- David Prévot <taffit@debian.org>  Thu, 26 Nov 2015 15:28:14 -0400

aws-sdk-for-php (3.11.0-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Add a CognitoIdentity credential provider
  * 3.11.0 release

 -- David Prévot <taffit@debian.org>  Fri, 20 Nov 2015 13:56:25 -0400

aws-sdk-for-php (3.10.1-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.10.1 release

 -- David Prévot <taffit@debian.org>  Thu, 12 Nov 2015 23:07:09 -0400

aws-sdk-for-php (3.10.0-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.10.0 release

 -- David Prévot <taffit@debian.org>  Wed, 11 Nov 2015 16:36:09 -0400

aws-sdk-for-php (3.9.4-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.9.4 release

 -- David Prévot <taffit@debian.org>  Wed, 04 Nov 2015 13:29:44 -0400

aws-sdk-for-php (3.9.1-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.9.1 release

 -- David Prévot <taffit@debian.org>  Wed, 28 Oct 2015 12:19:42 -0400

aws-sdk-for-php (3.3.2-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * Precompile all included JSON files
  * 3.3.2 release

 -- David Prévot <taffit@debian.org>  Sat, 29 Aug 2015 12:07:39 -0400

aws-sdk-for-php (3.2.5-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.2.5 release

 -- David Prévot <taffit@debian.org>  Tue, 11 Aug 2015 16:15:05 +0200

aws-sdk-for-php (3.2.1-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.2.1 release

 -- David Prévot <taffit@debian.org>  Sun, 26 Jul 2015 15:22:10 +0200

aws-sdk-for-php (3.1.0-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.1.0 release

 -- David Prévot <taffit@debian.org>  Sat, 11 Jul 2015 16:47:01 -0400

aws-sdk-for-php (3.0.7-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.0.7 release

 -- David Prévot <taffit@debian.org>  Wed, 08 Jul 2015 13:38:35 -0400

aws-sdk-for-php (3.0.6-1) experimental; urgency=medium

  [ Jonathan Eskew ]
  * 3.0.6 release

 -- David Prévot <taffit@debian.org>  Sat, 27 Jun 2015 10:21:02 -0400

aws-sdk-for-php (3.0.5-1) experimental; urgency=medium

  [ Jeremy Lindblom ]
  * 3.0.5 release

  [ David Prévot ]
  * Drop no longer provided tests and documentation
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 20 Jun 2015 12:32:47 -0400

aws-sdk-for-php (3.0.0~beta1+dfsg-2) experimental; urgency=medium

  * Relax dependencies (Closes: #768790)
  * Update overrides for now fixed pkg-php-tools

 -- David Prévot <taffit@debian.org>  Sun, 09 Nov 2014 09:34:03 -0400

aws-sdk-for-php (3.0.0~beta1+dfsg-1) experimental; urgency=medium

  * Track pre-releases
  * Update copyright
  * Refresh patches
  * Update build-dependencies, for tests
  * Add patches to run tests
  * Adapt path for PSR-4 source
  * Adapt DEP-8 tests
  * Add overrides for package names
  * Drop doc until it builds again

 -- David Prévot <taffit@debian.org>  Fri, 07 Nov 2014 14:08:14 -0400

=== debian/control ===
Source: aws-sdk-for-php
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.7
Homepage: http://aws.amazon.com/sdkforphp/
Vcs-Git: git://anonscm.debian.org/pkg-php/aws-sdk-for-php.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/aws-sdk-for-php.git

Package: php-aws-sdk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: software development kit to build solutions for Amazon
 Official PHP SDK for Amazon Web Services.
 .
 The AWS SDK for PHP enables PHP developers to easily work with Amazon Web
 Services and build scalable solutions with Amazon S3, Amazon DynamoDB,
 Amazon Glacier, and more.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog

get-orig-source:
	uscan --force --verbose --rename

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.]+)\.?/~$1/i;tr/A-Z/a-z/ \
https://github.com/aws/aws-sdk-php/releases .*/archive/([\d.]+-?[\w.]*)\.tar\.gz
